﻿DROP DATABASE aplicaciobbasica4;
CREATE DATABASE aplicacionbasica4;
USE aplicacionbasica4;  

DROP TABLE IF EXISTS articulo;
CREATE TABLE articulo (
  id INT(11) NOT NULL AUTO_INCREMENT,
  titulo VARCHAR(255) NOT NULL,
  texto TEXT DEFAULT NULL,
  PRIMARY KEY (id)
);

DROP TABLE IF EXISTS foto;
CREATE TABLE foto (
  id INT(11) NOT NULL AUTO_INCREMENT,
  articulo INT(11) NOT NULL,
  nombre VARCHAR(255) DEFAULT NULL,
  alt VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY (id),
  UNIQUE INDEX articulo (articulo, nombre),
  CONSTRAINT foto_ibfk_1 FOREIGN KEY (articulo)
    REFERENCES articulo(id) ON DELETE RESTRICT ON UPDATE RESTRICT
);
